Bug 93166 - [BDW] GPU HANG: ecode 8:0:0x85dffffb, in steam [3539], reason: Ring hung, action: reset
Summary: [BDW] GPU HANG: ecode 8:0:0x85dffffb, in steam [3539], reason: Ring hung, act...
Status: REOPENED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Sören Beye
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
: 93571 98794 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-11-29 19:05 UTC by Sören Beye
Modified: 2018-03-21 23:00 UTC (History)
5 users (show)

See Also:
i915 platform: BDW
i915 features: GPU hang


Attachments
Gpu Crash Dump (3.47 MB, text/plain)
2015-12-01 16:48 UTC, Sören Beye
Details
crash dump (4.65 MB, text/plain)
2015-12-02 18:35 UTC, Elia Devito
Details
Crash Dump Linux 4.4-RC5 (616.06 KB, text/plain)
2015-12-19 13:15 UTC, Sören Beye
Details
Gpu Crash Dump Linux 4.4.0-next-20160118 (612.48 KB, text/plain)
2016-01-18 19:43 UTC, Sören Beye
Details
GPU Hang Linux 4.7-rc3 (616.91 KB, text/plain)
2016-06-15 12:02 UTC, Sören Beye
Details
Mesa 12 Jessie Hang (32.28 KB, text/plain)
2016-11-08 17:34 UTC, Sören Beye
Details
GPU Crash dump 4.8.6-300.fc25.x86_64 2016/11/11 (1.47 MB, text/plain)
2016-11-11 19:57 UTC, infinality
Details
attachment-30086-0.html (2.81 KB, text/html)
2016-11-12 01:48 UTC, Tiago Stürmer Daitx
Details
gpu hang error dump glamor debian stretch linux 4.9.0 (722.44 KB, text/plain)
2017-05-06 18:21 UTC, Sören Beye
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sören Beye 2015-11-29 19:05:45 UTC
[   66.756009] [drm] stuck on render ring
[   66.757070] [drm] GPU HANG: ecode 8:0:0x85dffffb, in steam [3539], reason: Ring hung, action: reset
[   66.757072] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[   66.757073] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[   66.757075] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[   66.757076] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[   66.757077] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[   66.759234] drm/i915: Resetting chip after gpu hang
[   66.928689] ------------[ cut here ]------------
[   66.928715] WARNING: CPU: 3 PID: 0 at drivers/gpu/drm/i915/intel_uncore.c:620 hsw_unclaimed_reg_debug.isra.11+0x62/0x78 [i915]()
[   66.928717] Unclaimed register detected before reading register 0x223a0
[   66.928719] Modules linked in: md4 nls_utf8 cifs nfsv3 vmnet(O) binfmt_misc cpufreq_userspace cpufreq_conservative cpufreq_powersave cpufreq_stats vsock(O) vmci(O) vmmon(O) nfsd auth_rpcgss oid_registry nfs_acl nfs lockd grace fscache sunrpc ch341 usbserial joydev hid_generic usbhid hid usb_storage arc4 brcmsmac cordic brcmutil x86_pkg_temp_thermal kvm_intel b43 kvm mac80211 cfg80211 ssb mmc_core jitterentropy_rng rfkill rng_core pcmcia pcmcia_core sha256_generic hmac snd_hda_codec_hdmi drbg iTCO_wdt iTCO_vendor_support ansi_cprng evdev snd_hda_codec_realtek snd_hda_codec_generic aesni_intel zram lz4_compress aes_x86_64 zsmalloc ablk_helper cryptd lrw snd_hda_intel gf128mul glue_helper i915 snd_hda_codec snd_hda_core snd_hwdep bcma snd_pcm snd_timer pcspkr drm_kms_helper i2c_i801 snd drm soundcore
[   66.928766]  lpc_ich mfd_core shpchp i2c_algo_bit i2c_core battery video acpi_cpufreq acpi_pad button processor coretemp loop fuse parport_pc ppdev lp parport autofs4 ext4 crc16 jbd2 mbcache microcode sg sd_mod ahci libahci crc32c_intel libata xhci_pci ehci_pci xhci_hcd ehci_hcd scsi_mod r8169 mii usbcore usb_common thermal fan thermal_sys
[   66.928792] CPU: 3 PID: 0 Comm: swapper/3 Tainted: G           O    4.2.6 #1
[   66.928793] Hardware name: To be filled by O.E.M. To be filled by O.E.M./CRESCENTBAY, BIOS 5.6.5 08/29/2015
[   66.928795]  0000000000000000 0000000000000009 ffffffff813c8003 ffff88021ed83d78
[   66.928798]  ffffffff81042ce2 0000000000000004 ffffffffa03dda2e 0000000000000002
[   66.928800]  ffff880215790078 00000000000223a0 00000000000223a0 ffff880215790078
[   66.928803] Call Trace:
[   66.928805]  <IRQ>  [<ffffffff813c8003>] ? dump_stack+0x40/0x50
[   66.928812]  [<ffffffff81042ce2>] ? warn_slowpath_common+0x98/0xb0
[   66.928828]  [<ffffffffa03dda2e>] ? hsw_unclaimed_reg_debug.isra.11+0x62/0x78 [i915]
[   66.928831]  [<ffffffff81042d92>] ? warn_slowpath_fmt+0x45/0x4a
[   66.928847]  [<ffffffffa03dda2e>] ? hsw_unclaimed_reg_debug.isra.11+0x62/0x78 [i915]
[   66.928858]  [<ffffffffa03de3a4>] ? gen6_read32+0x43/0xae [i915]
[   66.928871]  [<ffffffffa03d6e7c>] ? intel_lrc_irq_handler+0x30/0x186 [i915]
[   66.928875]  [<ffffffff8105f2ad>] ? check_preempt_curr+0x25/0x65
[   66.928887]  [<ffffffffa03d0824>] ? gen8_gt_irq_handler+0x69/0x1bd [i915]
[   66.928898]  [<ffffffffa03d09e2>] ? gen8_irq_handler+0x6a/0x3e5 [i915]
[   66.928902]  [<ffffffff8107b151>] ? handle_irq_event_percpu+0x4f/0x179
[   66.928904]  [<ffffffff8107b2aa>] ? handle_irq_event+0x2f/0x55
[   66.928907]  [<ffffffff8107da36>] ? handle_edge_irq+0xb1/0xd0
[   66.928909]  [<ffffffff810050a4>] ? handle_irq+0x18/0x20
[   66.928911]  [<ffffffff81004ae5>] ? do_IRQ+0x41/0xb1
[   66.928915]  [<ffffffff813ccba8>] ? common_interrupt+0x68/0x68
[   66.928916]  <EOI>  [<ffffffff812e98ed>] ? cpuidle_enter_state+0x103/0x170
[   66.928920]  [<ffffffff812e98af>] ? cpuidle_enter_state+0xc5/0x170
[   66.928923]  [<ffffffff8106c5e8>] ? cpu_startup_entry+0x182/0x226
[   66.928925] ---[ end trace d5720282c5d9890b ]---


This is a cheap Chinese passiively cooled NUC like computer with an i5-5257U and Intel Iris Pro 6200.

The OS is Debian jessie with xserver-xorg-video-intel from the backports (2:2.99.917-2~bpo8+1).
Kernel Linux ishimura 4.2.6 #1 SMP Wed Nov 18 20:21:58 CET 2015 x86_64 GNU/Linux
build from the kernel.org sources.

The Kernel parameter intel_iommu=igfx_off is set but doesn't help. The crashes are very frequent.
Comment 1 Mika Kuoppala 2015-11-30 10:57:40 UTC
Could you please upload the gpu crash dump, as indicated by the dmesg error, uncompressed?
Comment 2 Sören Beye 2015-12-01 16:48:59 UTC
Created attachment 120225 [details]
Gpu Crash Dump
Comment 3 Elia Devito 2015-12-02 18:33:24 UTC
Same problem with firefox on Fedora 23

kernel message:

[drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=45322 end=45323)
[  868.598721] [drm] stuck on render ring
[  868.601572] [drm] GPU HANG: ecode 6:0:0x87e8fffd, in MediaPl~ack #14 [2333], reason: Ring hung, action: reset
[  868.601577] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[  868.601580] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[  868.601583] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[  868.601586] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[  868.601589] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[  868.603863] drm/i915: Resetting chip after gpu hang
[  878.587630] [drm] stuck on render ring
[  878.590539] [drm] GPU HANG: ecode 6:0:0x87e8effd, in MediaPl~back #4 [1969], reason: Ring hung, action: reset
[  878.590913] [drm:i915_set_reset_status [i915]] *ERROR* gpu hanging too fast, banning!
[  878.592964] drm/i915: Resetting chip after gpu hang
Comment 4 Elia Devito 2015-12-02 18:35:23 UTC
Created attachment 120283 [details]
crash dump
Comment 5 Mika Kuoppala 2015-12-07 09:20:04 UTC
(In reply to Sören Beye from comment #2)
> Created attachment 120225 [details]
> Gpu Crash Dump

If the problem is easily reproduced, could you try how it behaves
with i915.enable_hangcheck = 0
Comment 6 Sören Beye 2015-12-07 09:58:03 UTC
(In reply to Mika Kuoppala from comment #5)
> (In reply to Sören Beye from comment #2)
> > Created attachment 120225 [details]
> > Gpu Crash Dump
> 
> If the problem is easily reproduced, could you try how it behaves
> with i915.enable_hangcheck = 0

The GUI is now completely unresponsive, but I could ssh into the machine to get the logs

Dec  7 10:53:51 ishimura kernel: [  107.771877] ------------[ cut here ]------------
Dec  7 10:53:51 ishimura kernel: [  107.771898] WARNING: CPU: 2 PID: 0 at drivers/gpu/drm/i915/intel_uncore.c:620 hsw_unclaimed_reg_debug.isra.11+0x62/0x78 [i915]()
Dec  7 10:53:51 ishimura kernel: [  107.771899] Unclaimed register detected before reading register 0x223a0
Dec  7 10:53:51 ishimura kernel: [  107.771900] Modules linked in: md4 nls_utf8 cifs nfsv3 vmnet(O) binfmt_misc cpufreq_userspace cpufreq_conservative cpufreq_powersave cpufreq_stats vsock(O) vmci(O) vmmon(O) nfsd auth_rpcgss oid_registry nfs_acl nfs lockd grace fscache sunrpc ch341 usbserial snd_hda_codec_hdmi x86_pkg_temp_thermal arc4 kvm_intel brcmsmac kvm cordic brcmutil b43 mac80211 cfg80211 ssb mmc_core usb_storage rfkill rng_core pcmcia pcmcia_core sha256_generic hmac joydev iTCO_wdt iTCO_vendor_support drbg ansi_cprng evdev aesni_intel aes_x86_64 bcma ablk_helper cryptd lrw gf128mul zram glue_helper lz4_compress lpc_ich pcspkr i2c_i801 mfd_core zsmalloc shpchp snd_hda_codec_realtek snd_hda_codec_generic battery i915 snd_hda_intel video snd_hda_codec drm_kms_helper snd_hda_core snd_hwdep drm snd_pcm i2c_algo_bit snd_timer i2c_core snd soundcore button acpi_cpufreq acpi_pad processor coretemp loop fuse parport_pc ppdev lp parport autofs4 hid_generic usbhid hid ext4 crc16 jbd2 mbcache microcode sg sd_mod crc32c_intel ahci libahci libata scsi_mod ehci_pci ehci_hcd xhci_pci r8169 xhci_hcd mii usbcore usb_common thermal fan thermal_sys
Dec  7 10:53:51 ishimura kernel: [  107.771956] CPU: 2 PID: 0 Comm: swapper/2 Tainted: G           O    4.2.6 #1
Dec  7 10:53:51 ishimura kernel: [  107.771957] Hardware name: To be filled by O.E.M. To be filled by O.E.M./CRESCENTBAY, BIOS 5.6.5 08/29/2015
Dec  7 10:53:51 ishimura kernel: [  107.771959]  0000000000000000 0000000000000009 ffffffff813c8003 ffff88021ed03d78
Dec  7 10:53:51 ishimura kernel: [  107.771961]  ffffffff81042ce2 0000000000000006 ffffffffa03e0a2e 0000000000000001
Dec  7 10:53:51 ishimura kernel: [  107.771963]  ffff880215790078 00000000000223a0 00000000000223a0 ffff880215790078
Dec  7 10:53:51 ishimura kernel: [  107.771965] Call Trace:
Dec  7 10:53:51 ishimura kernel: [  107.771966]  <IRQ>  [<ffffffff813c8003>] ? dump_stack+0x40/0x50
Dec  7 10:53:51 ishimura kernel: [  107.771972]  [<ffffffff81042ce2>] ? warn_slowpath_common+0x98/0xb0
Dec  7 10:53:51 ishimura kernel: [  107.771984]  [<ffffffffa03e0a2e>] ? hsw_unclaimed_reg_debug.isra.11+0x62/0x78 [i915]
Dec  7 10:53:51 ishimura kernel: [  107.771986]  [<ffffffff81042d92>] ? warn_slowpath_fmt+0x45/0x4a
Dec  7 10:53:51 ishimura kernel: [  107.771996]  [<ffffffffa03e0a2e>] ? hsw_unclaimed_reg_debug.isra.11+0x62/0x78 [i915]
Dec  7 10:53:51 ishimura kernel: [  107.772006]  [<ffffffffa03e13a4>] ? gen6_read32+0x43/0xae [i915]
Dec  7 10:53:51 ishimura kernel: [  107.772017]  [<ffffffffa03d9e7c>] ? intel_lrc_irq_handler+0x30/0x186 [i915]
Dec  7 10:53:51 ishimura kernel: [  107.772026]  [<ffffffffa03e3047>] ? gen8_write32+0x98/0xb2 [i915]
Dec  7 10:53:51 ishimura kernel: [  107.772035]  [<ffffffffa03e2faf>] ? gen8_write64+0xb0/0xb0 [i915]
Dec  7 10:53:51 ishimura kernel: [  107.772045]  [<ffffffffa03d3824>] ? gen8_gt_irq_handler+0x69/0x1bd [i915]
Dec  7 10:53:51 ishimura kernel: [  107.772053]  [<ffffffffa03d39e2>] ? gen8_irq_handler+0x6a/0x3e5 [i915]
Dec  7 10:53:51 ishimura kernel: [  107.772056]  [<ffffffff8107b151>] ? handle_irq_event_percpu+0x4f/0x179
Dec  7 10:53:51 ishimura kernel: [  107.772058]  [<ffffffff8107b2aa>] ? handle_irq_event+0x2f/0x55
Dec  7 10:53:51 ishimura kernel: [  107.772060]  [<ffffffff8107da36>] ? handle_edge_irq+0xb1/0xd0
Dec  7 10:53:51 ishimura kernel: [  107.772062]  [<ffffffff810050a4>] ? handle_irq+0x18/0x20
Dec  7 10:53:51 ishimura kernel: [  107.772064]  [<ffffffff81004ae5>] ? do_IRQ+0x41/0xb1
Dec  7 10:53:51 ishimura kernel: [  107.772066]  [<ffffffff813ccba8>] ? common_interrupt+0x68/0x68
Dec  7 10:53:51 ishimura kernel: [  107.772067]  <EOI>  [<ffffffff8108815e>] ? hrtimer_start_range_ns+0x24c/0x25b
Dec  7 10:53:51 ishimura kernel: [  107.772072]  [<ffffffff812e98ed>] ? cpuidle_enter_state+0x103/0x170
Dec  7 10:53:51 ishimura kernel: [  107.772074]  [<ffffffff812e98af>] ? cpuidle_enter_state+0xc5/0x170
Dec  7 10:53:51 ishimura kernel: [  107.772076]  [<ffffffff8106c5e8>] ? cpu_startup_entry+0x182/0x226
Dec  7 10:53:51 ishimura kernel: [  107.772077] ---[ end trace 89c1289c7bb65dfb ]---

Other than that:
root@ishimura:~# cat /sys/class/drm/card0/error
no error state collected
Comment 7 Sören Beye 2015-12-19 13:15:28 UTC
Created attachment 120593 [details]
Crash Dump Linux 4.4-RC5

This still happens with 4.4-rc5

[   75.704910] ------------[ cut here ]------------
[   75.704934] WARNING: CPU: 1 PID: 0 at drivers/gpu/drm/i915/intel_uncore.c:619 hsw_unclaimed_reg_debug+0x60/0x77 [i915]()
[   75.704936] Unclaimed register detected before reading register 0x239c
[   75.704938] Modules linked in: nfsv3 nfs_acl nfs lockd grace sunrpc cpufreq_userspace cpufreq_conservative cpufreq_powersave cpufreq_stats md4 nls_utf8 cifs fscache binfmt_misc ch341 usbserial joydev hid_generic snd_usb_audio usbhid snd_usbmidi_lib snd_rawmidi usb_storage snd_seq_device hid snd_hda_codec_hdmi arc4 x86_pkg_temp_thermal kvm_intel brcmsmac kvm cordic irqbypass brcmutil b43 mac80211 cfg80211 ssb mmc_core sha256_generic hmac rfkill rng_core pcmcia pcmcia_core drbg ansi_cprng iTCO_wdt iTCO_vendor_support evdev zram lz4_compress zsmalloc aesni_intel aes_x86_64 ablk_helper cryptd lrw gf128mul i915 bcma glue_helper pcspkr snd_hda_codec_realtek snd_hda_codec_generic drm_kms_helper drm battery snd_hda_intel i2c_algo_bit fb_sys_fops snd_hda_codec syscopyarea video sysfillrect sysimgblt snd_hda_core
[   75.704986]  snd_hwdep snd_pcm snd_timer i2c_i801 snd soundcore lpc_ich shpchp button mfd_core i2c_core acpi_cpufreq acpi_pad tpm_tis tpm processor coretemp loop fuse ppdev lp parport autofs4 ext4 crc16 mbcache jbd2 sg sd_mod crc32c_intel ahci libahci libata scsi_mod ehci_pci ehci_hcd xhci_pci xhci_hcd r8169 mii usbcore usb_common fan thermal [last unloaded: parport_pc]
[   75.705013] CPU: 1 PID: 0 Comm: swapper/1 Not tainted 4.4.0-rc5 #1
[   75.705015] Hardware name: To be filled by O.E.M. To be filled by O.E.M./CRESCENTBAY, BIOS 5.6.5 08/29/2015
[   75.705017]  0000000000000006 ffffffff811f1614 ffff88021ec83db0 ffffffff8104628f
[   75.705020]  ffffffffa046c393 ffff8802152d0000 ffff88021ec83e08 ffff8802152d0000
[   75.705023]  ffff8802152d0080 ffffffff810462e7 ffffffffa04df20b ffff880200000030
[   75.705026] Call Trace:
[   75.705027]  <IRQ>  [<ffffffff811f1614>] ? dump_stack+0x40/0x50
[   75.705035]  [<ffffffff8104628f>] ? warn_slowpath_common+0x94/0xa9
[   75.705050]  [<ffffffffa046c393>] ? hsw_unclaimed_reg_debug+0x60/0x77 [i915]
[   75.705053]  [<ffffffff810462e7>] ? warn_slowpath_fmt+0x43/0x4b
[   75.705068]  [<ffffffffa045af94>] ? i915_gem_obj_ggtt_offset_view+0x4b/0x8e [i915]
[   75.705083]  [<ffffffffa046c393>] ? hsw_unclaimed_reg_debug+0x60/0x77 [i915]
[   75.705097]  [<ffffffffa046d397>] ? gen6_read32+0x3e/0xa6 [i915]
[   75.705112]  [<ffffffffa046517d>] ? intel_lrc_irq_handler+0xb2/0x1a8 [i915]
[   75.705123]  [<ffffffffa04305f8>] ? gen8_gt_irq_handler+0x41/0x1b9 [i915]
[   75.705133]  [<ffffffffa04307db>] ? gen8_irq_handler+0x6b/0x525 [i915]
[   75.705135]  [<ffffffff810629f4>] ? ttwu_do_wakeup+0xf/0xb5
[   75.705138]  [<ffffffff8107e6b1>] ? handle_irq_event_percpu+0x35/0x155
[   75.705141]  [<ffffffff8107e7f6>] ? handle_irq_event+0x25/0x46
[   75.705144]  [<ffffffff81031b3a>] ? init_x2apic_ldr+0xf9/0xf9
[   75.705146]  [<ffffffff8108112f>] ? handle_edge_irq+0xb2/0xd1
[   75.705149]  [<ffffffff81006153>] ? handle_irq+0x19/0x1c
[   75.705152]  [<ffffffff81005bd6>] ? do_IRQ+0x40/0xad
[   75.705155]  [<ffffffff813d4cbf>] ? common_interrupt+0x7f/0x7f
[   75.705156]  <EOI>  [<ffffffff812f5d88>] ? cpuidle_enter_state+0xf3/0x145
[   75.705161]  [<ffffffff8107018e>] ? cpu_startup_entry+0x170/0x1db
[   75.705164] ---[ end trace 6bcab98a0fe17e0b ]---
[   84.774164] [drm] stuck on render ring
[   84.774591] [drm] GPU HANG: ecode 8:0:0x85dffffb, in nylas [4381], reason: Ring hung, action: reset
[   84.774593] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[   84.774593] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[   84.774594] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[   84.774595] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[   84.774596] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[   84.776696] drm/i915: Resetting chip after gpu hang
Comment 8 flux242 2016-01-17 09:25:24 UTC
I'm suffering from the same bug too
[ 1055.394277] [drm] stuck on render ring
[ 1055.400242] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [2300], reason: Ring hung, action: reset
[ 1055.400245] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[ 1055.400247] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[ 1055.400248] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[ 1055.400249] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[ 1055.400251] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[ 1055.402424] drm/i915: Resetting chip after gpu hang
[ 1061.382088] [drm] stuck on render ring
[ 1061.387591] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [2300], reason: Ring hung, action: reset
[ 1061.390263] drm/i915: Resetting chip after gpu hang
[ 1439.391397] [drm] stuck on render ring
[ 1439.397147] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [7798], reason: Ring hung, action: reset
[ 1439.399523] drm/i915: Resetting chip after gpu hang
[ 1445.379515] [drm] stuck on render ring
[ 1445.385143] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [7798], reason: Ring hung, action: reset
[ 1445.387644] drm/i915: Resetting chip after gpu hang
[ 1502.540149] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[ 2049.368876] [drm] stuck on render ring
[ 2049.374662] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [10105], reason: Ring hung, action: reset
[ 2049.376967] drm/i915: Resetting chip after gpu hang
[ 2055.380672] [drm] stuck on render ring
[ 2055.386413] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [10105], reason: Ring hung, action: reset
[ 2055.388792] drm/i915: Resetting chip after gpu hang
[ 3455.425355] [drm] stuck on render ring
[ 3455.431493] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [16229], reason: Ring hung, action: reset
[ 3455.434689] drm/i915: Resetting chip after gpu hang
[ 3461.425566] [drm] stuck on render ring
[ 3461.431818] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [16229], reason: Ring hung, action: reset
[ 3461.434049] drm/i915: Resetting chip after gpu hang
[39630.105853] [drm] stuck on render ring
[39630.112870] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [21609], reason: Ring hung, action: reset
[39630.115116] drm/i915: Resetting chip after gpu hang
[39636.105969] [drm] stuck on render ring
[39636.112815] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [21609], reason: Ring hung, action: reset
[39636.115327] drm/i915: Resetting chip after gpu hang
[40472.132585] [drm] stuck on render ring
[40472.138862] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [2584], reason: Ring hung, action: reset
[40472.140688] drm/i915: Resetting chip after gpu hang
[40478.120649] [drm] stuck on render ring
[40478.127382] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [2584], reason: Ring hung, action: reset
[40478.129874] drm/i915: Resetting chip after gpu hang
[42002.158794] [drm] stuck on render ring
[42002.164903] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [8288], reason: Ring hung, action: reset
[42002.167809] drm/i915: Resetting chip after gpu hang
[42008.146901] [drm] stuck on render ring
[42008.152669] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [8288], reason: Ring hung, action: reset
[42008.155026] drm/i915: Resetting chip after gpu hang
[42376.150500] [drm] stuck on render ring
[42376.156633] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [16442], reason: Ring hung, action: reset
[42376.158598] drm/i915: Resetting chip after gpu hang
[42382.150473] [drm] stuck on render ring
[42382.156682] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [16442], reason: Ring hung, action: reset
[42382.158576] drm/i915: Resetting chip after gpu hang
[42786.163080] [drm] stuck on render ring
[42786.169352] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [18499], reason: Ring hung, action: reset
[42786.172222] drm/i915: Resetting chip after gpu hang
[42792.151108] [drm] stuck on render ring
[42792.157321] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [18499], reason: Ring hung, action: reset
[42792.159952] drm/i915: Resetting chip after gpu hang
[43714.160663] [drm] stuck on render ring
[43714.166942] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [20934], reason: Ring hung, action: reset
[43714.169909] drm/i915: Resetting chip after gpu hang
[43720.160725] [drm] stuck on render ring
[43720.167158] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [20934], reason: Ring hung, action: reset
[43720.169327] drm/i915: Resetting chip after gpu hang
[44256.179880] [drm] stuck on render ring
[44256.185577] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [26277], reason: Ring hung, action: reset
[44256.188003] drm/i915: Resetting chip after gpu hang
[44262.167969] [drm] stuck on render ring
[44262.173800] [drm] GPU HANG: ecode 8:0:0x85dffffb, in Borderlands2 [26277], reason: Ring hung, action: reset
[44262.176088] drm/i915: Resetting chip after gpu hang
[60335.810429] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Comment 9 Sören Beye 2016-01-18 19:37:59 UTC
This still happens with Linux 4.4.0-next-20160118.

Would you mind fixing this intel? I'd like to be able to use GPU Accelleration at all..
Comment 10 Sören Beye 2016-01-18 19:43:31 UTC
Created attachment 121119 [details]
Gpu Crash Dump Linux 4.4.0-next-20160118

Though the error message is a little bit different on Linux 4.4.0-next-20160118

Note the different Line in the code (Now: 599; Before: 620) and also the error message. (Now: After reading; Before: Before reading)

[   61.867079] ------------[ cut here ]------------
[   61.867105] WARNING: CPU: 0 PID: 1319 at drivers/gpu/drm/i915/intel_uncore.c:599 hsw_unclaimed_reg_debug+0x60/0x77 [i915]()
[   61.867108] Unclaimed register detected after reading register 0x223a0
[   61.867109] Modules linked in: cpufreq_userspace cpufreq_conservative cpufreq_powersave cpufreq_stats nfsv3 nfs_acl nfs lockd grace sunrpc md4 nls_utf8 cifs fscache binfmt_misc joydev hid_generic snd_usb_audio snd_usbmidi_lib usbhid usb_storage snd_rawmidi hid snd_seq_device snd_hda_codec_hdmi x86_pkg_temp_thermal arc4 kvm_intel brcmsmac cordic kvm brcmutil irqbypass b43 ghash_clmulni_intel mac80211 cfg80211 ssb mmc_core rfkill rng_core pcmcia pcmcia_core sha256_generic iTCO_wdt iTCO_vendor_support hmac snd_hda_codec_realtek evdev snd_hda_codec_generic drbg zram lz4_compress ansi_cprng zsmalloc i915 snd_hda_intel drm_kms_helper snd_hda_codec bcma snd_hda_core aesni_intel drm aes_x86_64 snd_hwdep ablk_helper snd_pcm i2c_i801 i2c_algo_bit cryptd fb_sys_fops lrw snd_timer syscopyarea gf128mul sysfillrect
[   61.867156]  glue_helper sysimgblt snd shpchp soundcore i2c_core lpc_ich pcspkr mfd_core battery video acpi_pad acpi_cpufreq button tpm_tis tpm processor coretemp loop fuse ppdev lp parport autofs4 ext4 crc16 mbcache jbd2 sg sd_mod crc32c_intel ahci libahci libata ehci_pci scsi_mod ehci_hcd r8169 mii xhci_pci xhci_hcd usbcore usb_common fan thermal [last unloaded: parport_pc]
[   61.867186] CPU: 0 PID: 1319 Comm: Xorg Not tainted 4.4.0-next-20160118 #1
[   61.867188] Hardware name: To be filled by O.E.M. To be filled by O.E.M./CRESCENTBAY, BIOS 5.6.5 08/29/2015
[   61.867190]  0000000000000006 ffffffff811fa266 ffff88021ec03db0 ffffffff81047916
[   61.867193]  ffffffffa04d539a ffff8802152f0000 ffff88021ec03e08 ffff8802152f0080
[   61.867196]  0000000000000001 ffffffff8104796e ffffffffa054913d ffff880200000030
[   61.867198] Call Trace:
[   61.867200]  <IRQ>  [<ffffffff811fa266>] ? dump_stack+0x40/0x50
[   61.867207]  [<ffffffff81047916>] ? warn_slowpath_common+0x94/0xa9
[   61.867225]  [<ffffffffa04d539a>] ? hsw_unclaimed_reg_debug+0x60/0x77 [i915]
[   61.867228]  [<ffffffff8104796e>] ? warn_slowpath_fmt+0x43/0x4b
[   61.867231]  [<ffffffff8106522b>] ? try_to_wake_up+0x1a4/0x1b2
[   61.867247]  [<ffffffffa04d539a>] ? hsw_unclaimed_reg_debug+0x60/0x77 [i915]
[   61.867261]  [<ffffffffa04d62aa>] ? gen6_read32+0x6c/0x9a [i915]
[   61.867278]  [<ffffffffa04cdf63>] ? intel_lrc_irq_handler+0x2f/0x1a5 [i915]
[   61.867288]  [<ffffffffa04985fe>] ? gen8_gt_irq_handler+0x81/0x1b8 [i915]
[   61.867297]  [<ffffffffa04987ac>] ? gen8_irq_handler+0x77/0x528 [i915]
[   61.867301]  [<ffffffff81080296>] ? handle_irq_event_percpu+0x3e/0x15a
[   61.867303]  [<ffffffff810803d7>] ? handle_irq_event+0x25/0x46
[   61.867305]  [<ffffffff81032e95>] ? x2apic_send_IPI+0x2f/0x2f
[   61.867309]  [<ffffffff81082d7f>] ? handle_edge_irq+0xb2/0xd1
[   61.867312]  [<ffffffff810061c8>] ? handle_irq+0x19/0x1c
[   61.867314]  [<ffffffff81005c4b>] ? do_IRQ+0x40/0xad
[   61.867317]  [<ffffffff813e26ff>] ? common_interrupt+0x7f/0x7f
[   61.867318]  <EOI>  [<ffffffffa04b773e>] ? i915_gem_do_execbuffer.isra.18+0xcca/0xdae [i915]
[   61.867344]  [<ffffffffa04b773e>] ? i915_gem_do_execbuffer.isra.18+0xcca/0xdae [i915]
[   61.867351]  [<ffffffffa031283e>] ? vblank_disable_and_save+0x5a/0x6d [drm]
[   61.867357]  [<ffffffffa03128be>] ? vblank_disable_fn+0x6d/0x89 [drm]
[   61.867370]  [<ffffffffa04b815d>] ? i915_gem_execbuffer2+0x123/0x1a0 [i915]
[   61.867376]  [<ffffffffa0311670>] ? drm_ioctl+0x210/0x328 [drm]
[   61.867388]  [<ffffffffa04b803a>] ? i915_gem_execbuffer+0x244/0x244 [i915]
[   61.867391]  [<ffffffff8108dd29>] ? hrtimer_start_range_ns+0x26e/0x27d
[   61.867395]  [<ffffffff8113d756>] ? vfs_ioctl+0x16/0x23
[   61.867398]  [<ffffffff8113dc3a>] ? do_vfs_ioctl+0x464/0x50d
[   61.867400]  [<ffffffff8113144c>] ? fput+0xd/0x7d
[   61.867404]  [<ffffffff8130e417>] ? __sys_recvmsg+0x49/0x57
[   61.867407]  [<ffffffff81144ea9>] ? __fget+0x23/0x5b
[   61.867410]  [<ffffffff8113dd31>] ? SyS_ioctl+0x4e/0x71
[   61.867413]  [<ffffffff813e1c57>] ? entry_SYSCALL_64_fastpath+0x12/0x6a
[   61.867415] ---[ end trace 1f5f568ff8d742ca ]---
Comment 11 Tiago Stürmer Daitx 2016-02-24 21:46:51 UTC
*** Bug 93571 has been marked as a duplicate of this bug. ***
Comment 12 Sören Beye 2016-06-15 12:01:53 UTC
This is NOT fixed with Linux 4.7-rc3


Jun 15 13:52:43 ishimura kernel: [  654.787660] [drm] stuck on render ring
Jun 15 13:52:43 ishimura kernel: [  654.788282] [drm] GPU HANG: ecode 8:0:0x85dffffb, in chrome [3661], reason: Engine(s) hung, action: reset
Jun 15 13:52:43 ishimura kernel: [  654.788284] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
Jun 15 13:52:43 ishimura kernel: [  654.788285] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
Jun 15 13:52:43 ishimura kernel: [  654.788286] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
Jun 15 13:52:43 ishimura kernel: [  654.788287] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
Jun 15 13:52:43 ishimura kernel: [  654.788288] [drm] GPU crash dump saved to /sys/class/drm/card0/error
Jun 15 13:52:43 ishimura kernel: [  654.789653] drm/i915: Resetting chip after gpu hang

Crashdump follows
Comment 13 Sören Beye 2016-06-15 12:02:57 UTC
Created attachment 124541 [details]
GPU Hang Linux 4.7-rc3
Comment 14 Michele Lacchia 2016-06-24 09:20:25 UTC
I confirm the same bug. Happens as soon as Chromium is started and the whole system freezes. One workaround is starting Chromium with --disable-gpu, but it's certainly not a solution.

The logs are the same as above, and I've not been able to get a crash dump because the whole system freezes and I have to reboot by pressing the power button. After a system reboot the crash dump is gone.

I've also been getting frequent FIFO underruns, so it may be related to
https://bugs.freedesktop.org/show_bug.cgi?id=94337

ASUS UX305UA - Intel(R) Core(TM) i7-6500U CPU @ 2.50GHz - Linux 4.6.2-1-ARCH
Comment 15 rafael cepeda 2016-06-26 22:31:07 UTC
I am having the same issue on kernel 4.6.x when running Chromium I get the "Ring hung, action: reset" and my system crashes to the TTY. I am on the i915 gpu chipset as well.
Comment 16 Matt Turner 2016-11-02 07:15:08 UTC
Can you reproduce the hang with Mesa 12 or 13? Mark as REOPENED
if you can reproduce and RESOLVED/* if you cannot reproduce.
Comment 17 Sören Beye 2016-11-08 17:33:40 UTC
Still happens with 4.9.0-rc4+ from drm-next on 08.11.2016 on Debian Jessie with Mesa 12.0.3-1~bpo8+1 from Jessie Backports



[ 4194.135793] [drm] GPU HANG: ecode 8:0:0x85dffffb, in chrome [18305], reason: Hang on render ring, action: reset
[ 4194.135797] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[ 4194.135799] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[ 4194.135800] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[ 4194.135801] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[ 4194.135803] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[ 4194.135859] drm/i915: Resetting chip after gpu hang

However it seems to be less frequent. We'll see.
Comment 18 Sören Beye 2016-11-08 17:34:31 UTC
Created attachment 127848 [details]
Mesa 12 Jessie Hang

/sys/class/drm/card0/error

on 4.9.0-rc4+ with Mesa 12.0.3-1~bpo8+1
Comment 19 infinality 2016-11-11 19:57:30 UTC
Created attachment 127919 [details]
GPU Crash dump 4.8.6-300.fc25.x86_64 2016/11/11

Experiencing the same issue.  I've attached a dump file.
Comment 20 Mark Janes 2016-11-12 01:36:05 UTC
Sören,

Is there a specific web page that seems to trigger this gpu hang?  Is there 3d content or media being sent to the gpu?

We should be able to fix this if we can reproduce it.
Comment 21 Tiago Stürmer Daitx 2016-11-12 01:48:51 UTC
Created attachment 127927 [details]
attachment-30086-0.html

Dropping in with some information that hopefully can be somewhat useful,
even if outdated.

I haven't yet tested the new Mesa 12, but I was unable to play games on
Steam (at the time, Borderlands 2, it would hang after entering the game
and zooming with any weapon) and I had to disable GPU acceleration under
Chrome. Kodi also sometimes had some issues, but not that often.

At the time Steam at least didn't hang my machine, but with GPU
acceleration enabled on Chrome I got a hard hangup on the whole system
every 2 days or so - ever since I disabled that my system has not required
a single hard reboot (although Chrome is unable to render some stuff
correctly).

I will keep tracking this and when I get to update my system I will look
for an easy reproducer to this - pointers for known good tests are welcome.
;-)

cheers!



On Fri, Nov 11, 2016 at 11:36 PM <bugzilla-daemon@freedesktop.org> wrote:

> *Comment # 20 <https://bugs.freedesktop.org/show_bug.cgi?id=93166#c20> on
> bug 93166 <https://bugs.freedesktop.org/show_bug.cgi?id=93166> from Mark
> Janes <mark.a.janes@intel.com> *
>
> Sören,
>
> Is there a specific web page that seems to trigger this gpu hang?  Is there 3d
> content or media being sent to the gpu?
>
> We should be able to fix this if we can reproduce it.
>
> ------------------------------
> You are receiving this mail because:
>
>    - You are on the CC list for the bug.
>
>
Comment 22 Sören Beye 2016-11-12 16:31:03 UTC
(In reply to Mark Janes from comment #20)
> Sören,
> 
> Is there a specific web page that seems to trigger this gpu hang?  Is there
> 3d content or media being sent to the gpu?
> 
> We should be able to fix this if we can reproduce it.

I still can't find a scenario which reliably reproduces this gpu hangs. I only know that they happen sometimes but apparently they are unrelated to a specific activity.

Sometimes they appear when I close a 3d game (namely X3:Reunion) but in other situations they just appear when I scroll a webpage (without Videos or 3d Stuff).

Interestingly enough, the gpu hangs don't seem to appear right after boot but that could be a coincidence.

The only thing that seems to happen most of the time is that if it has hung once it will hang again shortly after (2-3 Seconds inbetween) a few times until I've managed to close whatever GPU accelerated application is running (chrome, steam, ...)

If you have any pointers on what I could try to find a scenario to reproduce this bug please tell me.

WebGL didn't help and rapidly opening and closing steam games also wasn't very useful.
Comment 23 Sören Beye 2016-11-12 16:33:48 UTC
(In reply to Mark Janes from comment #20)
> Sören,
> 
> Is there a specific web page that seems to trigger this gpu hang?  Is there
> 3d content or media being sent to the gpu?
> 
> We should be able to fix this if we can reproduce it.

I just remembered: While the gpu is in a hang state the mouse cursor still moves according to my mouse movements.

Is this information useful?
Comment 24 infinality 2016-11-14 16:07:20 UTC
For whatever it's worth, I can reliably recreate the hang within a few minutes of starting Chrome, everytime I've tried (3-ish times).  I'm now using --disable-gpu and don't have problems anymore (but obviously that's just a workaround).
Comment 25 Mark Janes 2016-12-07 17:48:54 UTC
Sören:

Can you please reproduce after switching X11 to use the modesetting driver?  xf86-video-intel may be causing this hang.

https://bbs.archlinux.org/viewtopic.php?id=211792
Comment 26 Sören Beye 2016-12-08 22:39:33 UTC
(In reply to Mark Janes from comment #25)
> Sören:
> 
> Can you please reproduce after switching X11 to use the modesetting driver? 
> xf86-video-intel may be causing this hang.
> 
> https://bbs.archlinux.org/viewtopic.php?id=211792

Well.. after switching to the modesetting driver there are no crashes.
However there also isn't any hardware acceleration so thats no surprise I guess.

Kodi is unusably slow with this modesetting driver. But at least the machine hasn't crashed ever since.
Comment 27 Matt Turner 2016-12-08 23:10:38 UTC
You should have acceleration via glamor:

mattst88@macbook ~ % grep -i glamor /var/log/Xorg.0.log
[   101.404] (II) Loading sub module "glamoregl"
[   101.404] (II) LoadModule: "glamoregl"
[   101.405] (II) Loading /usr/lib64/xorg/modules/libglamoregl.so
[   101.408] (II) Module glamoregl: vendor="X.Org Foundation"
[   101.408] (II) glamor: OpenGL accelerated X.org driver based.
[   101.415] (II) glamor: EGL version 1.4 (DRI2):
[   101.416] (II) modeset(0): glamor initialized
Comment 28 Mark Janes 2016-12-08 23:15:14 UTC
Chris Wilson has a patch on xf86-video-intel which addresses a GPU hang, you may want to try your luck with the tip of that project.  I've found that modesetting/glamor works well on my skylake.
Comment 29 Sören Beye 2016-12-09 10:18:24 UTC
(In reply to Matt Turner from comment #27)
> You should have acceleration via glamor:
> 
> mattst88@macbook ~ % grep -i glamor /var/log/Xorg.0.log
> [   101.404] (II) Loading sub module "glamoregl"
> [   101.404] (II) LoadModule: "glamoregl"
> [   101.405] (II) Loading /usr/lib64/xorg/modules/libglamoregl.so
> [   101.408] (II) Module glamoregl: vendor="X.Org Foundation"
> [   101.408] (II) glamor: OpenGL accelerated X.org driver based.
> [   101.415] (II) glamor: EGL version 1.4 (DRI2):
> [   101.416] (II) modeset(0): glamor initialized


Yeah, but not in debian jessie.
Comment 30 Chris Wilson 2016-12-09 12:04:36 UTC
(In reply to Mark Janes from comment #25)
> Sören:
> 
> Can you please reproduce after switching X11 to use the modesetting driver? 
> xf86-video-intel may be causing this hang.
> 
> https://bbs.archlinux.org/viewtopic.php?id=211792

This is not a ddx bug.
Comment 31 infinality 2016-12-09 16:23:36 UTC
Latest from git seems to fix the hangs for me.
Comment 32 Mark Janes 2016-12-09 17:50:46 UTC
(In reply to infinality from comment #31)
> Latest from git seems to fix the hangs for me.

Sorry, could you be more specific about which project you updated?
Comment 33 infinality 2016-12-09 18:21:56 UTC
(In reply to Mark Janes from comment #32)
> (In reply to infinality from comment #31)
> > Latest from git seems to fix the hangs for me.
> 
> Sorry, could you be more specific about which project you updated?

https://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
Comment 34 infinality 2016-12-12 16:15:57 UTC
(In reply to infinality from comment #31)
> Latest from git seems to fix the hangs for me.

Just got more GPU hangs, so turns out it did NOT fix the issue.  :{

[ 4725.031335] [drm] GPU HANG: ecode 6:0:0xfafffffe, in Xorg [1658], reason: Hang on render ring, action: reset
[ 4725.031337] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[ 4725.031337] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[ 4725.031338] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[ 4725.031338] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[ 4725.031338] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[ 4725.031396] drm/i915: Resetting chip after gpu hang
Comment 35 Sören Beye 2016-12-12 16:28:38 UTC
(In reply to infinality from comment #34)
> (In reply to infinality from comment #31)
> > Latest from git seems to fix the hangs for me.
> 
> Just got more GPU hangs, so turns out it did NOT fix the issue.  :{
> 
> [ 4725.031335] [drm] GPU HANG: ecode 6:0:0xfafffffe, in Xorg [1658], reason:
> Hang on render ring, action: reset
> [ 4725.031337] [drm] GPU hangs can indicate a bug anywhere in the entire gfx
> stack, including userspace.
> [ 4725.031337] [drm] Please file a _new_ bug report on bugs.freedesktop.org
> against DRI -> DRM/Intel
> [ 4725.031338] [drm] drm/i915 developers can then reassign to the right
> component if it's not a kernel issue.
> [ 4725.031338] [drm] The gpu crash dump is required to analyze gpu hangs, so
> please always attach it.
> [ 4725.031338] [drm] GPU crash dump saved to /sys/class/drm/card0/error
> [ 4725.031396] drm/i915: Resetting chip after gpu hang

Oh great now the hangs are happening in Xorg itself instead of chrome or steam. This is getting better every day.
Comment 36 Mark Janes 2016-12-12 18:36:28 UTC
Please verify that the GPU hangs occur using modesetting/glamor instead of xf86-video-intel.
Comment 37 Mark Janes 2016-12-20 15:34:24 UTC
*** Bug 98794 has been marked as a duplicate of this bug. ***
Comment 38 Sören Beye 2017-05-06 18:21:11 UTC
So i've just updated this system to debian stretch.

I'm using glamor now but the crashes are still happening :(

[    52.086] (**) modeset(0): Option "AccelMethod" "glamor"
[    52.086] (II) Loading sub module "glamoregl"
[    52.086] (II) LoadModule: "glamoregl"
[    52.087] (II) Loading /usr/lib/xorg/modules/libglamoregl.so
[    52.099] (II) Module glamoregl: vendor="X.Org Foundation"
[    52.099] (II) glamor: OpenGL accelerated X.org driver based.
[    52.219] (II) glamor: EGL version 1.4 (DRI2):
[    52.241] (II) modeset(0): glamor initialized


[ 1909.826131] [drm] GPU HANG: ecode 8:0:0x85dffffb, in steam [19566], reason: Hang on render ring, action: reset
[ 1909.826133] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[ 1909.826134] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[ 1909.826135] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[ 1909.826136] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[ 1909.826137] [drm] GPU crash dump saved to /sys/class/drm/card0/error

Linux ishimura 4.9.0-2-amd64 #1 SMP Debian 4.9.18-1 (2017-03-30) x86_64 GNU/Linux
Comment 39 Sören Beye 2017-05-06 18:21:46 UTC
Created attachment 131237 [details]
gpu hang error dump glamor debian stretch linux 4.9.0
Comment 40 Elizabeth 2018-03-21 23:00:48 UTC
Sorry for intruding, but reading through you mentioned gpu hang wasn't produced by steam or chrome anymore, so how do you trigger it now?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.